import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        long d = nextLong();
        long l = nextLong();
        long r = nextLong();
        long s = 0;
        if (d % 4 == 2 || d == 4 || d == 1) {
            out.println(0);
        } else {
            for (long x = Math.max(kvadrat(d),kvadrat(l)+1); x <= kvadrat(r); x++) {
                long y = kvadrat(x * x - d);
                if (y < x && y > 0 && (x - y) * (x + y) == d) {
                    s++;
                }
            }
            out.println(s);
        }
        out.close();
    }
    public static long kvadrat(long x) {
        long r = x;
        long l = 0;
        while (r - l > 1) {
            long mid = (r - l) / 2 + l;
            if ( mid >= x/mid) {
                r = mid;
            } else {
                l = mid;
            }
        }
        return r;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}